html {
    -webkit-text-size-adjust: 100%;
}
body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 18px;
    display: flex;
    flex-direction: column;
}
html, body, .wrapper {
    min-height: 100%;
}
body::before {
    content: '';
    position: fixed;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    background: #4cc2f9;
    background: -moz-linear-gradient(#4cc2f9, #59afff);
    background: -webkit-linear-gradient(#4cc2f9, #59afff);
    background: linear-gradient(#4cc2f9, #59afff);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#4cc2f9', endColorstr='59afff',GradientType=1 );
}
* {
    box-sizing: border-box;
}

.logo{
    max-height: 45px;
    max-width: 150px;
    margin: 0 auto;
    margin-bottom: 20px;
}
a {
    display: inline-block;
    text-decoration: none;
    cursor: pointer;
}
a:hover {
    text-decoration: underline;
    color: inherit;
}
input, button, select {
    font-size: 1em;
}
img {
    max-width: 100%;
}

input:focus,
select:focus,
textarea:focus,
button {
    outline: none;
}

button::-moz-focus-inner {
    border: 0;
}

select::-ms-expand{
    display: none;
}

.pxl,
.hidden {
    display: none !important;
}

p, ul, li, ol, h1, h2, h3, h4, h5, figure {
    margin: 0;
    padding: 0;
    list-style: none;
    font-weight: normal;
}


/* LAYOUT */
.wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    padding-top: 70px; 
    min-height: 600px;
    overflow: hidden;
    flex: 1;
}
.wrapper .header,
.wrapper .footer {
    min-height: 80px;
}
@media (min-width: 992px) {
    html, body, .wrapper {
        
    }
    .wrapper .header {
        height: 12vh;
    }
    .wrapper .form-modal {
      
       
        padding-top: 10px;
    }
    .wrapper .header .logo {
        height: 4vw;
    }
    .wrapper .header .logo img {
        height: 100%;
        width: auto;
    }
}
@media (min-width: 1800px) {
    .wrapper .header .logo {
        height: 4.3vw;
    }

    body {
        font-size: 1vw;
    }
}
@media only screen and (min-width: 568px) and (max-height: 600px) {
    .wrapper {
        min-height: 650px;
    }
}
/* END LAYOUT */

/* BUTTONS */

.btn-group {
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: -3em;
    left: 0;
    right: 0;
    height: 5em;
}
.btn-group li {
    flex: 1;
}
.btn-group .btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin: 0 0.7em;
    padding: 0;
    width: 6em;
    height: 6em;
    border: 0;
    border-radius: 50%; 
    background-color: #2768AD;
    font-size: 0.65em;
    white-space: nowrap;
    box-shadow: 3px 3px 7px rgba(0,0,0,0.5);
    transition: opacity 0.3s linear;
    cursor: pointer;
    color: #ffffff;
    text-transform: uppercase;
}
.btn-group .btn:hover {
    opacity: 0.9;
    text-decoration: none;
}
.btn-group .btn-top-left,
.btn-group .btn-top-right {
    position: absolute;
    top: -3.3em;
    margin: 0;
    
}
.btn-group .btn-top-left {
    left: -3em;
}
.btn-group .btn-top-right {
    right: -3em;
}

.btn-group .btn.btn-blue,
.btn-submit {
    background-color: #2768AD;
}
.btn-group .btn.btn-pink {
    background-color: #D22F7C;
}


@media (min-width: 768px) {
    .btn-group {
        font-size: 4vw;
    }
}
@media (min-width: 992px) {
    .btn-group .btn {
        font-size: 0.6em;
    }
    .step.first-step .btn-group .btn {
        font-size: 0.9em;
    }
    .btn-group .btn.btn-pink.btn-color-change {
        background-color: #2768AD;
    }
    .btn-group .btn.btn-blue.btn-color-change {
        background-color: #D22F7C;
    }
}

/* END BUTTONS */

/* HEADER */
.header {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.header .logo img {
    vertical-align: middle;
}
@media (min-width: 992px) {
    .header {
        justify-content: flex-start;
        margin: 0 auto;
        width: 90vw;
    }
}
/* END HEADER */

/* form modal */

.form-modal {
    text-align: center;
    flex: 1;
    height: 110vw;
}
.form-modal > ul {
    height: 93%;
}
.form-modal > ul li,
.form-modal > ul li .step {
    height: 100%;
}

@media (min-width: 992px) {
    .form-modal > ul,
    .form-modal > ul li, 
    .form-modal > ul li .step {
        height: auto;
        max-height: 500px;
    }

    .form-modal {
        height: auto;
    }
}
/* end form modal */

/* STEP */
.step {
    position: relative;
    margin: 0 auto;
    width: 63vw; 
}  
.step .step-inner {
    animation: 22s shake linear infinite;
    height: 100%;
    background-color: #ffffff;
    border-radius: 1.2em;
    box-shadow: 3px 3px 7px rgba(0,0,0,0.5);
}
.step.last-step {
    width: 80vw; 
}
.step.last-step .step-inner {
    background-color: transparent;
    animation: none;
    height: auto;
    box-shadow: none;
}
.step .img {
    height: 70vw;
    overflow: hidden;
    border-radius: 1.2em 1.2em 0 0;
}
.step .img img {
    border-radius: 1.2em 1.2em 0 0;
    width: 100%;
}
.step h2 {
    margin-top: 0.8em;
    padding: 0 0.3em;
    font-size: 1.1em;
    color: #3c3c3c;
}
.step.last-step {
    background-color: transparent;
}
.step.last-step h2 {
    margin-top: 12vh;
    width: 100%;
    font-size: 1.8em;
    color: #ffffff;
}
.step.last-step .btn-group {
    position: static;
    margin-top: 7vh;
    font-size: 6vw;
    height: auto;
    width: 100%;
}
.step.last-step .btn-group .btn {
    width: 5em;
    height: 5em;
    white-space: normal;
    font-size: 1.4em;
    padding: 0 0.5em;
}

@media only screen and (min-width: 568px) and (max-height: 600px) {
    .step {
        width: 40vw;
    }
    .step .img {
        height: 80vh;
    }
    .step.last-step .btn-group .btn {
        font-size: 0.8em;
        margin-top: 1em;
    }
}
@media (min-width: 768px) {
    .step h2 {
        font-size: 1.3em;
    }
}
@media (min-width: 992px) {
    .step {
        width: 80vw;
    }
    .step .step-inner {
        background-color: transparent;
        animation: none;
        box-shadow: none;
    }
    .step .img,
    .step .img img {
        border-radius: 20px;
    }
    .step .img {
        flex: 2;
        margin-right: 5vw;
        margin-left: 5vw;
        height: auto;
        max-height: 76vh;
        animation: 22s shake2 linear infinite;
        transform-origin: right center;
        font-size: 0;
        overflow: visible;
    }
    .step .img img {
        max-width: 260px;
        box-shadow: 3px 3px 7px rgba(0,0,0,0.5);
    }
    .step .step-inner {
        display: flex;
        flex-direction: row;
        flex: 5;
    }
    .step h2 {
        margin-top: 0.4em;
        font-size: 3.5vw;
        color: #ffffff;
        width: 40vw;
    }

    /* BUTTON */
    .btn-group {
        width: 40vw;
        left: 40vw;
        bottom: auto;
        top: 15vh;
    }
    .btn-group .btn-top-left,
    .btn-group .btn-top-right {
        position: static;
    }
    .btn-group {
        margin-top: 14vh;
        font-size: 2.2vw;
    }
    .btn-group .btn,
    .btn-group .btn-top-left, 
    .btn-group .btn-top-right {
        margin: 0 0.3em;
    }
    .step.last-step .btn-group {
        font-size: 2.3vw;
    }
}
@media (min-width: 1800px) {
    .step .img img {
        max-width: none;
        width: 20vw;
    }
    .btn-group {
        top: 23vh;
    }
}


/* END STEP */

/* FOOTER */

.footer {
    margin-top: 1em;
    text-align: center;
    font-size: 0.8em;
    color: #ffffff;
}
.footer ul {
    display: flex;
}
.footer ul li {
    flex: 1;
}
.footer ul li:last-child img {
    height: 1.5em;
}
.footer ul li .img {
    height: 2.8em;
}
.footer img {
    height: 2em;
    margin-bottom: 0.5em;
}

/* FOOTER */
.legal__container {
    font-size: 1em;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    min-height: 3em;
    text-decoration: underline;
    z-index: 1;
}
.legal__container > div {
	padding: 0 .5em;
}
/* END FOOTER */
@media (min-width: 992px) {
    .footer {
        font-size: 1.8vh;
    }
    .footer ul {
        align-items: center;
    }
}
@media (min-width: 1800px) {
    .footer {
        font-size: 2vh;
    }
}
/* END FOOTER */

/* ANIMATION */

@keyframes shake {
    0% {
        transform: none;
    }
    93% {
        transform: none;
    }
    94%, 96%, 98% {
        transform: rotate(2deg);
    }
    95%, 97%, 99% {
        transform: rotate(-2deg);
    }
    100% {
        transform: none;
    }
}

@keyframes shake2 {
    0% {
        transform: none;
    }
    93% {
        transform: none;
    }
    94%, 96%, 98% {
        transform: rotate(2deg);
    }
    95%, 97%, 99% {
        transform: rotate(-2deg);
    }
    100% {
        transform: none;
    }
}


/* END ANIMATION */